<template lang="pug">
  .root
    span photo shower!
    ul
      li(v-for="item in photos")
        img(:src="item.path" height="200")
</template>

<script>
export default {
  name: 'PhotoShower',
  props: {
    photos: {
      type: Object,
      default: () => []
    },
    classes: {
      type: Array,
      default: () => []
    },
    disabled: {
      type: Boolean,
      default: false
    }
  },
  methods: {
    onClick() {
      this.$emit('onClick', this.value)
    }
  },
  created() {
    console.log(this.photos)
  }
}
</script>

<style lang="stylus" scoped>
.root
  border: solid 1px $c-green
  font-size: $fz-base
.selection
  width: 100%
</style>